<p mat-dialog-title style="text-align: center; color: white; font-family: Lady;"><a (click)="scroll()">To your review</a> </p>
<mat-dialog-content *ngIf="user">
    <div *ngIf="reviews.length > 0; else noReviews">
        <div *ngIf="reviewExists; else noReview">
            <div *ngFor="let review of reviews | orderByTime">
                <div *ngIf="review.user._id === user._id; else notMyReview" style="margin-bottom: 14px;">

                    <div class="list-group-item">
                        <div style="width:100%; margin-bottom: -14px;" class="column">
                            <a>
                                <div style="float:left; width:13%; ; margin-bottom: 2px; ">
                                    <img [src]="user.imagePath || '../../../assets/images/monkey-reading.jpg'" [alt]="user.username ">
                                </div>
                                <div style="float:none; line-height: normal;">
                                    <p style="font-family: Eutemia; color: #f2fa86; margin-bottom: 12px;
                          /*font-weight: 600;*/
                          font-size: 1.3em; cursor: pointer;">
                                        {{ user.username }}
                                    </p>
                                    <form [formGroup]="form" (submit)="onSubmit()">
                                        <p #exists contenteditable="true" formControlName="review">

                                        </p>
                                    </form>
                                    <p style="font-size: 10px;"> {{ review.postedAt | date: 'short'}}</p>

                                </div>
                            </a>
                            <div class="icon"><img style="height: 50px; width: 50px; margin-top: auto; margin-bottom: auto;" src="../../../assets/icons/icons8-delete-100.png" (click)="removeReview(review._id)" [ngbTooltip]="removeTooltip" placement="left" /> </div>

                        </div>
                    </div>


                </div>
                <ng-template #notMyReview>
                    <p>
                        <app-book-reviews-item [user]="review.user" [review]="{body: review.review, _id: review._id, postedAt: review.postedAt}"></app-book-reviews-item>
                    </p>
                </ng-template>
            </div>


        </div>
        <ng-template #noReview>
            <div *ngFor="let review of reviews | orderByTime">
                <p>
                    <app-book-reviews-item [user]="review.user" [review]="{body: review.review, _id: review._id, postedAt: review.postedAt}"></app-book-reviews-item>
                </p>
            </div>

            <div class="list-group-item">
                <div style="width:100%; margin-bottom: -14px;">
                    <div style="float:left; width:13%; ; margin-bottom: 2px; ">
                        <img [src]="user.imagePath || '../../../assets/images/monkey-reading.jpg'" [alt]="user.username ">
                    </div>
                    <div style="float:none; line-height: normal;">
                        <p style="font-family: Eutemia; color: #f2fa86; margin-bottom: 12px;
                        /*font-weight: 600;*/
                        font-size: 1.3em; cursor: pointer;">
                            {{ user.username}}
                        </p>
                        <form [formGroup]="form" (submit)="onSubmit()">
                            <p #exists contenteditable="true" formControlName="review">

                            </p>
                        </form>
                    </div>

                </div>
            </div>

        </ng-template>
    </div>

</mat-dialog-content>
<mat-dialog-actions align="center">
    <button class="btn btn-dark" type="submit" (click)="onSubmit()">
    Save review
  </button>
</mat-dialog-actions>

<ng-template #noReviews>
    <div class="list-group-item" *ngIf="user">
        <div style="width:100%; margin-bottom: -14px;">
            <div style="float:left; width:13%; ; margin-bottom: 2px; ">
                <img [src]="user.imagePath || '../../../assets/images/monkey-reading.jpg'" [alt]="user.username ">
            </div>
            <div style="float:none; line-height: normal;">
                <p style="font-family: Eutemia; color: #f2fa86; margin-bottom: 12px; font-size: 1.3em; cursor: pointer;">
                    {{ user.username}}
                </p>
                <form [formGroup]="form" (submit)="onSubmit()">
                    <p #exists contenteditable="true" formControlName="review">

                    </p>
                </form>
            </div>

        </div>
    </div>

</ng-template>

<ng-template #removeTooltip>
    <p style="font-family: Lady; font-size: 15px"> Remove review </p>
</ng-template>
